dnl mainly stolen from the gettext package
AC_DEFUN(ke_WITH_NLS,
  [AC_MSG_CHECKING([whether NLS is requested])
    dnl Default is enabled NLS
    AC_ARG_ENABLE(nls,
      [  --disable-nls           do not use Native Language Support],
      USE_NLS=$enableval, USE_NLS=yes)
    AC_MSG_RESULT($USE_NLS)
    AC_SUBST(USE_NLS)

    USE_INCLUDED_LIBINTL=no

    dnl If we use NLS figure out what method
    if test "$USE_NLS" = "yes"; then
      AC_DEFINE(ENABLE_NLS)

	nls_cv_header_intl=
	nls_cv_header_libgt=
	CATOBJEXT=NONE

	AC_CHECK_HEADER(libintl.h,
	  [AC_CACHE_CHECK([for gettext in libc], gt_cv_func_gettext_libc,
	    [AC_TRY_LINK([#include <libintl.h>], [return (int) gettext ("")],
	       gt_cv_func_gettext_libc=yes, gt_cv_func_gettext_libc=no)])

	   if test "$gt_cv_func_gettext_libc" != "yes"; then
              AC_CHECK_FUNC(gettext, [HAVEGETTEXT="yes"],
                AC_CHECK_LIB(intl, gettext, [LIBINTL="-lintl" HAVEGETTEXT="yes"],
                    AC_MSG_WARN([sorry this package needs libintl.a
                        (from the gettext package)])))
           fi
	   if test "$gt_cv_func_gettext_libc" = "yes" \
	      || test "$HAVEGETTEXT" = "yes"; then
              nls_cv_use_gnu_gettext=yes
	      AC_DEFINE(HAVE_GETTEXT)

              AC_CHECK_PROG(MSGFMT, msgfmt, msgfmt)
              AC_PATH_PROG(GENCAT, gencat, no)
              AC_PATH_PROG(GMSGFMT, gmsgfmt, $MSGFMT)
              AC_CHECK_PROG(XGETTEXT, xgettext, xgettext)
              DATADIRNAME=share
              CATOBJEXT=.gmo
              INSTOBJEXT=.mo
           fi
          ])
        if test "$XGETTEXT" != "" -a "$HAVEGETTEXT" != ""; then
            echo "xgettext and gettext() exist; will build i18n support"
            PO=po
            GETTEXTSTUB=""
        else
            echo "xgettext and libintl.a don't both exist; will not build i18n support"
        fi
    fi
    for lang in $ALL_LINGUAS; do
      GMOFILES="$GMOFILES $lang.gmo"
      POFILES="$POFILES $lang.po"
    done

    dnl Make all variables we use known to autoconf.
    AC_SUBST(USE_INCLUDED_LIBINTL)
    AC_SUBST(CATALOGS)
    AC_SUBST(CATOBJEXT)
    AC_SUBST(DATADIRNAME)
    AC_SUBST(GMOFILES)
    AC_SUBST(INSTOBJEXT)
    AC_SUBST(INTLDEPS)
    AC_SUBST(INTLLIBS)
    AC_SUBST(INTLOBJS)
    AC_SUBST(POFILES)
    AC_SUBST(POSUB)
  ])
])
 
dnl aclocal.m4 ends here
